Bug 1278460 - Add warning that FreeIPA guide is out of date
Add warning that FreeIPA guide is out of date
Status: MODIFIED
Product: Fedora Documentation
Classification: Fedora
Component: freeipa-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Travis
Fedora Docs QA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 09:36 EST by Petr Spacek
Modified: 2016-08-11 02:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Spacek 2015-11-05 09:36:04 EST
Description of problem:
Docs related to FreeIPA like https://docs.fedoraproject.org/en-US/Fedora/15/html/FreeIPA_Guide/Using_Microsoft_Windows.html are quite old and outdated. This makes our life hard because Google is offering these old docs all the time and people are trying to use it, despite the fact that it is outdated.

Please add BIG FAT warning on top of each page in the guide and say 'This is outdated, go and read http://www.freeipa.org/page/Documentation instead!'

I imagine something like Warning box on top of each page before any other text. I have no idea if it is possible or not.

Thank you for your time!
Comment 1 Pete Travis 2015-11-05 09:38:18 EST
Hey Petr, we'll see what we can do for you.
Comment 2 Glen Rundblom 2015-11-11 13:12:48 EST
Hi Pete, I think I can do this. May I work on this?
Thanks,
-Glen
Comment 3 Martin Kosek 2015-11-13 07:55:53 EST
It would also make sense to reference

http://www.freeipa.org/page/Upstream_User_Guide

which explains the history with user guide and specifies which guides are deprecated (all of them, except FreeIPA.org wiki and Red Hat supported docs).
Comment 4 Martin Kosek 2016-07-01 04:41:38 EDT
My related proposal for Fedora documentation:

https://lists.fedoraproject.org/archives/list/docs@lists.fedoraproject.org/thread/6RQVAM6YNCCL75X4PIM3XM4R6R4WT2YR/
Comment 5 Pete Travis 2016-08-04 22:19:51 EDT
Hi Petr and Martin, I've just set up a robots.txt directing all crawlers to ignore the IPA guides at docs.fp.o, and added a RewriteRule on the site to https://www.freeipa.org/page/Documentation .  Actually unpublishing  those guides has proven a technical challenge; it may be more immediately achievable  and appropriate to replace them entirely with a derivation of http://www.freeipa.org/page/Upstream_User_Guide - or simply leave the redirect in place.
Comment 6 Martin Kosek 2016-08-11 02:48:54 EDT
The redirect is now effective and works. Thank you!

Note You need to log in before you can comment on or make changes to this bug.